## ros-foxy-vesc-driver 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vesc_driver)

# Set minimum C++ standard to C++14
if(NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++14")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
elseif("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++14")
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

find_package(Threads)

###########
## Build ##
###########

# node library
ament_auto_add_library(${PROJECT_NAME} SHARED
  src/vesc_driver.cpp
  src/vesc_interface.cpp
  src/vesc_packet.cpp
  src/vesc_packet_factory.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${CMAKE_THREAD_LIBS_INIT}
)
rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN vesc_driver::VescDriver
  EXECUTABLE ${PROJECT_NAME}_node
)

ament_auto_add_executable(
  vesc_device_namer
  src/vesc_device_namer.cpp
  src/vesc_device_uuid_lookup.cpp
)

#############
## Testing ##
#############

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(
  INSTALL_TO_SHARE
    launch
    params
)

=== debian/changelog ===
ros-foxy-vesc-driver (1.2.0-1focal) focal; urgency=high

  * Expose VESC config from VESC driver launch file.
  * Fix issue with if statements.
  * Merge pull request #20 <https://github.com/f1tenth/vesc/issues/20> from Triton-AI/ros2
    [Bug Fix] Use synchronous serial read
  * reduce print severity to debug
  * Merge pull request #19 <https://github.com/f1tenth/vesc/issues/19> from anscipione/add_imu_support_rebase_v2
    Add imu support and vesc udev enumeration tools (rebase upstream ros2) v2
  * fixed some test issues
  * publish sensors_msgs::Imu
  * replaced  boost::bind with std::bind
  * fix sensor
  * fixed timing wait for imu polling
  * added imu polling
  * fixed test for udev
  * added script for udev
  * added program to enumerate vesc serial ports based on their uuid
  * Fix linter errors
  * Merge pull request #14 <https://github.com/f1tenth/vesc/issues/14> from Triton-AI/ros2
    Pull ros2 experimental vesc driver back into f1tenth
  * remove serial driver from cmake
  * removed debug codes from 654ba11
  * update main branch changes
  * update cmake
  * Merge branch 'ros2' of https://github.com/Triton-AI/vesc into ros2
  * node naving convention; removed unused variable
  * rebased to upstream
  * working ros2 driver
  * removed old methods
  * fixed test results
  * fix test results
  * protocol update to FW 5.2
  * resolved inbound serial comunication problems
  * removed old error handler
  * update readme
  * modified launch file
  * std::optional -> std::experimental::optional
  * force c++17
  * minor coding practice updates
  * Merge pull request #12 <https://github.com/f1tenth/vesc/issues/12> from anscipione/protocol_update_to_FW_5.2
    Protocol update to fw 5.2
  * Merge pull request #11 <https://github.com/f1tenth/vesc/issues/11> from anscipione/Ros2_bug_fixing_serial_comunication
    resolved inbound serial comunication problems
  * Merge remote-tracking branch 'origin/Ros2_bug_fixing_serial_comunication' into protocol_update_to_FW_5.2
  * removed commented-out code
  * removed old methods
  * fixed test results
  * Merge branch 'Ros2_bug_fixing_serial_comunication' into protocol_update_to_FW_5.2
  * fix test results
  * protocol update to FW 5.2
  * resolved inbound serial comunication problems
  * working ros2 driver
  * [vesc_driver] Optimizing mutex utilization.
  * [vesc_driver] Changing default port to F1TENTH symlink name.
  * Add mutex and wait in read thread.
  * [vesc_driver] Re-adding missing join() for thread.
  * [vesc_driver] Adding all optional params to launch.
  * [vesc_driver] Set launch file to typical device for F1TENTH.
  * [vesc_driver] Node finally starts.
  * [vesc_driver] Fixing copyrights and finishing transition to boost::asio.
  * [vesc_driver] Finished port - applied uncrustify.
  * [vesc_driver] Working on implementation of rclcpp::Node.
  * [vesc_driver] Starting port of vesc_driver.
  * [vesc_driver] Removing unnecessary files and renaming header files.
  * [vesc_driver] Removing nodelet XML and renaming header files.
  * Porting all package.xml and CMakeList.txt files to ROS2.
  * Contributors: Alessandro Celeste, Andrea Scipione, Haoru, Haoru Xue, Hongrui (Billy) Zheng, Joshua Whitley

 -- Johannes Betz <joebetz@seas.upenn.edu>  Fri, 17 Mar 2023 05:00:00 -0000

ros-foxy-vesc-driver (1.1.0-1focal) focal; urgency=high

  * Merge pull request #1 <https://github.com/f1tenth/vesc/issues/1> from f1tenth/melodic-devel
    Updating for Melodic
  * Exclude crc.h from roslint.
  * Replacing boost::crc with CRCPP.
  * Replacing boost::begin, boost::end, and boost::distance with Standard Library equivalents.
  * Replacing boost::bind with Standard Library equivalent.
  * Replaing boost::noncopyable with C++ equivalent.
  * Replacing boost::function with Standard Library version.
  * Replacing Boost smart pointers with Standard Library equivalents.
  * Removing unnecessary v8stdint.h.
  * Updating package.xml to format 3 and setting C++ standard to 11.
  * Contributors: Joshua Whitley

 -- Johannes Betz <joebetz@seas.upenn.edu>  Sat, 12 Dec 2020 06:00:00 -0000

ros-foxy-vesc-driver (1.0.0-1focal) focal; urgency=high

  * Applying roslint and replacing registration macro with templated class.
  * Adding roslint.
  * Adding licenses.
  * Updating maintainers, authors, and URLs.
  * added onboard car
  * Contributors: Joshua Whitley, billyzheng

 -- Johannes Betz <joebetz@seas.upenn.edu>  Wed, 02 Dec 2020 06:00:00 -0000

=== debian/control ===
Source: ros-foxy-vesc-driver
Section: misc
Priority: optional
Maintainer: Johannes Betz <joebetz@seas.upenn.edu>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-serial-driver, ros-foxy-std-msgs, ros-foxy-vesc-msgs, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/vesc_driver
Standards-Version: 3.9.2

Package: ros-foxy-vesc-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-serial-driver, ros-foxy-std-msgs, ros-foxy-vesc-msgs, ros-foxy-ros-workspace
Description: ROS device driver for the Vedder VESC open source motor driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-vesc-driver//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
